import javax.swing.*;

public class H4_Oefening2
{
   public static void main(String[] args)
   {
     String get;
     int getal, rest;
     get= JOptionPane.showInputDialog("Geef een getal");
     getal= Integer.parseInt(get);

	 if (getal!=0)
     {
       while (getal!=1)
       {
           rest=getal%2;
          if (rest==0)
            {  getal=getal/2;
              JOptionPane.showMessageDialog(null,"De rest is 0 het getal is: " + getal);
		    }
          else
            { getal=getal*3+1;
          	   JOptionPane.showMessageDialog(null,"De rest is niet 0 " + getal);
			}
       }
            }
     System.exit(0);
   }
}